SQLITE3_BACKUP(3) | Library Functions Manual | SQLITE3_BACKUP(3)

# NAME

`sqlite3_backup` — online backup object

# SYNOPSIS

`#include <sqlite3.h>`

typedef struct sqlite3_backup sqlite3_backup;

# DESCRIPTION

The sqlite3_backup object records state information about an ongoing online backup operation. The sqlite3_backup object is created by a call to `sqlite3_backup_init`() and is destroyed by a call to `sqlite3_backup_finish`().

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 9107.

    typedef struct sqlite3_backup sqlite3_backup;

# SEE ALSO

sqlite3_backup_init(3)

January 24, 2024 | NetBSD 11.0